DROP TABLE TEST_STRING;

CREATE TABLE TEST_STRING (
    ID               CHAR(2) NOT NULL,
    CHAR_ITEM        CHAR(4),
    VARCHAR_ITEM     VARCHAR(8),
    CLOB_ITEM        CLOB,
    GRAPHIC_ITEM     GRAPHIC(4),
    VARGRAPHIC_ITEM  VARGRAPHIC(8),
    NCHAR_ITEM       NCHAR(4),
    NVARCHAR_ITEM    NVARCHAR(8),
    NCLOB_ITEM       NCLOB,
    PRIMARY KEY (ID));

INSERT INTO TEST_STRING VALUES(
    '10',
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL);

INSERT INTO TEST_STRING VALUES(
    '11',
    'aa',
    'AA',
    'aaaaaaaaaaaa',
    'ああ',
    'いいいい',
    'ａａ',
    'ＡＡ',
    'ａａａａａａａａ');

DROP TABLE TEST_NUMBER;

CREATE TABLE TEST_NUMBER (
    ID               CHAR(2) NOT NULL,
    SMALLINT_ITEM    SMALLINT,
    INTEGER_ITEM     INTEGER,
    BIGINT_ITEM      BIGINT,
    DECIMAL_ITEM      DECIMAL(8,2),
    NUMERIC_ITEM     NUMERIC(8,2),
    REAL_ITEM        REAL,
    DOUBLE_ITEM      DOUBLE,
    FLOAT_ITEM       FLOAT,
    PRIMARY KEY (ID));

INSERT INTO TEST_NUMBER VALUES(
    '10',
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL);

INSERT INTO TEST_NUMBER VALUES(
    '11',
    12345,
    123456789,
    123456789012,
    123456.78,
    876543.21,
    1.23456,
    1.23456789012,
    3.45678901234);

INSERT INTO TEST_NUMBER VALUES(
    '12',
    -12345,
    -123456789,
    -123456789012,
    -123456.78,
    -876543.21,
    -1.23456,
    -1.23456789012,
    -3.45678901234);

DROP TABLE TEST_DATETIME;

CREATE TABLE TEST_DATETIME (
    ID               CHAR(2) NOT NULL,
    DATE_ITEM        DATE,
    TIME_ITEM        TIME,
    TIMESTAMP_ITEM   TIMESTAMP,
    TIMESTAMP0_ITEM  TIMESTAMP(0),
    TIMESTAMP12_ITEM TIMESTAMP(12),
    PRIMARY KEY (ID));

INSERT INTO TEST_DATETIME VALUES(
    '10',
    NULL,
    NULL,
    NULL,
    NULL,
    NULL);

INSERT INTO TEST_DATETIME VALUES(
    '11',
    TO_TIMESTAMP('2016-09-08', 'YYYY-MM-DD'),
    TO_TIMESTAMP('12:34:45', 'HH24:MI:SS'),
    TO_TIMESTAMP('2016-09-09 12:34:45.123456', 'YYYY-MM-DD HH24:MI:SS.FF6'),
    TO_TIMESTAMP('2016-09-10 12:34:45', 'YYYY-MM-DD HH24:MI:SS'),
    TO_TIMESTAMP('2016-09-11 12:34:45.123456789012', 'YYYY-MM-DD HH24:MI:SS.FF12'));

EXIT;
